> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Log GPS Event

> Log a GPS event.



## OpenAPI

````yaml /spec/oas.yaml post /locations/{location_id}/gps_events
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /locations/{location_id}/gps_events:
    post:
      tags:
        - GPS
      summary: Log GPS Event
      description: Log a GPS event.
      operationId: gps_log_gps_event
      parameters:
        - name: location_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Location identifier.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GpsEventProfileModel'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GpsStopModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    GpsEventProfileModel:
      type: object
      description: GPS event log data.
      properties:
        location:
          $ref: '#/components/schemas/GpsEventLocationProfileModel'
      required:
        - location
    GpsStopModel:
      type: object
      description: GPS event data.
      properties:
        bearing:
          type: string
          description: Direction of travel at time of measurement.
        created_on:
          type: string
          format: date-time
          description: Timestamp of creation (must be in past).
        device_name:
          type: string
          description: Name (free text).
        driver_id:
          type: string
          description: Driver identifier.
        id:
          type: integer
          format: int64
          description: Resource identifier.
        latitude:
          type: string
          description: Latitude.
        longitude:
          type: string
          description: longitude.
        truck_id:
          type: integer
          format: int64
          description: Truck identifier.
        velocity:
          type: string
          description: Rate of travel at time of measurement.
      required:
        - bearing
        - created_on
        - driver_id
        - id
        - latitude
        - longitude
        - truck_id
        - velocity
    GpsEventLocationProfileModel:
      type: object
      description: GPS event location data.
      properties:
        coords:
          $ref: '#/components/schemas/GpsEventCoordsProfileModel'
        timestamp:
          type: string
          format: date-time
          description: Timestamp of creation (must be in past).
      required:
        - coords
        - timestamp
    GpsEventCoordsProfileModel:
      type: object
      description: GPS event log coordinates data.
      properties:
        heading:
          type: string
          description: Direction of travel at time of measurement.
        latitude:
          type: string
          description: Latitude.
        longitude:
          type: string
          description: longitude.
        speed:
          type: string
          description: Rate of travel at time of measurement.
      required:
        - heading
        - latitude
        - longitude
        - speed
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````